<?php
/*
Template Name: Blog
*/
?>

<?php get_header(); ?>
<?php include('sidebar.php');?>
<div id="container">
<?php
	$posts_wanted = get_option('posts_per_page');
	query_posts("showposts=$posts_wanted");
	$post_class = 'odd';
?>

<?php if(have_posts()) : while(have_posts()) : the_post(); ?>

	<div class="post <?php echo $post_class; ?>">

		<h2>
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
		</h2>

		<div class="byline">
               <?php _e('Posted By '); ?> <?php the_author_posts_link(); ?> on <?php the_time(__('F j, Y')); ?>  
			</div>       

		<div class="entry">
			<?php the_content(__('Read more &raquo;','options')); ?>
		</div>
		
		<div class="postmetadata">
<?php _e('Category&#58;'); ?> <?php the_category(', ') ?> <?php _e('by'); ?> <?php  the_author(); ?> <?php edit_post_link('Edit', ' &#124; ', ''); ?>  <br />
                      <span class="tags"><?php _e('Tags: '); ?> <?php the_tags('', ', ', ''); ?></span>                        
				</div>
	</div>

	<?php
		if('odd' == $post_class) $post_class = 'even';
		else $post_class == 'odd';
	?>

	<?php endwhile; ?>

<?php else: ?>

	<p><?php _e('Sorry, no posts matched your criteria.','options'); ?></p>

<?php endif; ?>
</div>
<?php include('bio.php');?>
<?php include('misc.php');?>
<?php get_footer(); ?>